Subject: Re: bug#6815: 23.2; no key binding in *vc-dir* for stash commands

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 09 Aug 2010 19:26:50 -0400

Tom Tromey <[email-masked]> writes:

>>>>>> "Dan" == Dan Nicolaescu <[email-masked]> writes:
>
> Dan> Tom Tromey <[email-masked]> writes:
>>> *vc-dir* shows the git stash but offers no key bindings for manipulating
>>> it.  I had to enable the menu bar to find out what was available.
>
> Dan> There are some key bindings, but they are only active when the
> Dan> point is over a stash.  (tooltips over the stash show what's
> Dan> available).
>
> Thanks.
>
> The problem with tooltips is they only show up if I happen to hover
> there with the mouse.

Sure, tooltips are just one thing that can make things easier to use...

> Dan> Should vc-git-stash and vc-git-stash-snapshot have key bindings in
> Dan> *vc-dir*?
>
> These key bindings are not very discoverable.  It would be nice if they
> showed up in `C-h m' at least.

I am not aware of an easy way to do that.  Creating a vc-git-dir-mode
derived from vc-dir-mode would help...

How about adding buttons on the Stash line:

Stash   : Nothing sashed     CREATE STASH     STASH SNAPSHOT

That would make it more obvious how to create a stash.
These are not very frequent actions, so it would help not having to
remember a key binding.

There's some difficulty with the buttons: the "Stash:" is inserted as
a string in the EWOC, and the widget.el buttons want to be inserted
using widget-create (or somesuch), so the buttons might need to be
created from scratch...